@_private(sourceFile: "NewProjectForm.swift") import OnCue
import func SwiftUI.__designTimeBoolean
import func SwiftUI.__designTimeInteger
import protocol SwiftUI.PreviewProvider
import func SwiftUI.__designTimeString
import func SwiftUI.__designTimeFloat
import struct SwiftUI.EmptyView
import protocol SwiftUI.View
import SwiftUI

extension NewProjectForm {
    @_dynamicReplacement(for: body) private var __preview__body: some View {
        #sourceLocation(file: "/Users/pradyun/Code/Apps/OnCue/OnCue/View/NewProjectForm.swift", line: 18)
        NavigationView {
            Form {
                TextField(__designTimeString("#22127.[1].[3].property.[0].[0].arg[0].value.[0].arg[0].value.[0].arg[0].value", fallback: "Project Name"), text: $newProjectName)
            }
            .navigationTitle(__designTimeString("#22127.[1].[3].property.[0].[0].arg[0].value.[0].modifier[0].arg[0].value", fallback: "Add New Project"))
            .navigationBarTitleDisplayMode(.inline)
            .toolbar {
                ToolbarItem(placement: .topBarLeading) {
                    Button(__designTimeString("#22127.[1].[3].property.[0].[0].arg[0].value.[0].modifier[2].arg[0].value.[0].arg[1].value.[0].arg[0].value", fallback: "Cancel"), role: .cancel) { dismiss() }
                        .foregroundStyle(.red)
                }
                ToolbarItem(placement: .topBarTrailing) {
                    Button(__designTimeString("#22127.[1].[3].property.[0].[0].arg[0].value.[0].modifier[2].arg[0].value.[1].arg[1].value.[0].arg[0].value", fallback: "Done")) {
                        completionHandler(newProjectName)
                        dismiss()
                    }
                }
            }
        }
    
#sourceLocation()
    }
}

import struct OnCue.NewProjectForm
#Preview {
    NewProjectForm { name in }
}



